HTMLElement (Java SE 9 & JDK 9 )
Keywords: org.w3c.dom.html.HTMLElement interface

Module jdk.xml.dom
Package org.w3c.dom.html

## Interface HTMLElement

- All Superinterfaces:
    `Element`, `Node`
  All Known Subinterfaces:
    `HTMLAnchorElement`, `HTMLAppletElement`, `HTMLAreaElement`, `HTMLBaseElement`, `HTMLBaseFontElement`, `HTMLBodyElement`, `HTMLBRElement`, `HTMLButtonElement`, `HTMLDirectoryElement`, `HTMLDivElement`, `HTMLDListElement`, `HTMLFieldSetElement`, `HTMLFontElement`, `HTMLFormElement`, `HTMLFrameElement`, `HTMLFrameSetElement`, `HTMLHeadElement`, `HTMLHeadingElement`, `HTMLHRElement`, `HTMLHtmlElement`, `HTMLIFrameElement`, `HTMLImageElement`, `HTMLInputElement`, `HTMLIsIndexElement`, `HTMLLabelElement`, `HTMLLegendElement`, `HTMLLIElement`, `HTMLLinkElement`, `HTMLMapElement`, `HTMLMenuElement`, `HTMLMetaElement`, `HTMLModElement`, `HTMLObjectElement`, `HTMLOListElement`, `HTMLOptGroupElement`, `HTMLOptionElement`, `HTMLParagraphElement`, `HTMLParamElement`, `HTMLPreElement`, `HTMLQuoteElement`, `HTMLScriptElement`, `HTMLSelectElement`, `HTMLStyleElement`, `HTMLTableCaptionElement`, `HTMLTableCellElement`, `HTMLTableColElement`, `HTMLTableElement`, `HTMLTableRowElement`, `HTMLTableSectionElement`, `HTMLTextAreaElement`, `HTMLTitleElement`, `HTMLUListElement`

      public interface HTMLElement
      extends Element

  All HTML element interfaces derive from this class. Elements that only expose the HTML core attributes are represented by the base `HTMLElement` interface. These elements are as follows: HEAD special: SUB, SUP, SPAN, BDO font: TT, I, B, U, S, STRIKE, BIG, SMALL phrase: EM, STRONG, DFN, CODE, SAMP, KBD, VAR, CITE, ACRONYM, ABBR list: DD, DT NOFRAMES, NOSCRIPT ADDRESS, CENTER The `style` attribute of an HTML element is accessible through the `ElementCSSInlineStyle` interface which is defined in the .

  See also the Document Object Model (DOM) Level 2 Specification.

  Since:
    1.4, DOM Level 2

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClassName​()` | The class attribute of the element.
    `String` | `getDir​()` | Specifies the base direction of directionally neutral text and the directionality of tables.
    `String` | `getId​()` | The element's identifier.
    `String` | `getLang​()` | Language code defined in RFC 1766.
    `String` | `getTitle​()` | The element's advisory title.
    `void` | `setClassName​(String className)` |
    `void` | `setDir​(String dir)` |
    `void` | `setId​(String id)` |
    `void` | `setLang​(String lang)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getId

          String getId​()

      The element's identifier. See the id attribute definition in HTML 4.0.

    - #### setId

          void setId​(String id)

    - #### getTitle

          String getTitle​()

      The element's advisory title. See the title attribute definition in HTML 4.0.

    - #### setTitle

          void setTitle​(String title)

    - #### getLang

          String getLang​()

      Language code defined in RFC 1766. See the lang attribute definition in HTML 4.0.

    - #### setLang

          void setLang​(String lang)

    - #### getDir

          String getDir​()

      Specifies the base direction of directionally neutral text and the directionality of tables. See the dir attribute definition in HTML 4.0.

    - #### setDir

          void setDir​(String dir)

    - #### getClassName

          String getClassName​()

      The class attribute of the element. This attribute has been renamed due to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.0.

    - #### setClassName

          void setClassName​(String className)